[Forgot Password]
Login  Register Subscribe

23631

 
 

119105

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2010-2008

Date: (C)2010-07-13   (M)2017-11-18 


MySQL before 5.1.48 allows remote authenticated users with alter database privileges to cause a denial of service (server crash and database loss) via an ALTER DATABASE command with a #mysql50# string followed by a . (dot), .. (dot dot), ../ (dot dot slash) or similar sequence, and an UPGRADE DATA DIRECTORY NAME command, which causes MySQL to move certain directories to the server data directory.

CVSS Score: 3.5Access Vector: NETWORK
Exploit Score: 6.8Access Complexity: MEDIUM
Impact Score: 2.9Authentication: SINGLE_INSTANCE
 Confidentiality: NONE
 Integrity: NONE
 Availability: PARTIAL





Reference:
SECTRACK-1024160
SECUNIA-40333
SECUNIA-40762
BID-41198
ADV-2010-1918
FEDORA-2010-11135
MDVSA-2010:155
USN-1017-1
http://bugs.mysql.com/bug.php?id=53804
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-48.html

CPE    59
cpe:/a:mysql:mysql:5.1.20
cpe:/a:mysql:mysql:5.1.21
cpe:/a:mysql:mysql:5.1.24
cpe:/a:mysql:mysql:5.1.25
...
CWE    1
CWE-20
OVAL    8
oval:org.secpod.oval:def:100923
oval:org.secpod.oval:def:100962
oval:org.secpod.oval:def:100176
oval:org.secpod.oval:def:300290
...

© 2013 SecPod Technologies